Wallet Infrastructure
Wallet Infrastructure
Recoveries

Get recovery

GET
/v1/recoveries/{id}

Requires scope recoveries:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Response Body

200application/json

Recovery status

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/recoveries/{id}' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",    "status": "string",    "graceEndsAt": "2019-08-24T14:15:22Z",    "abortableUntil": "2019-08-24T14:15:22Z",    "chains": [      {        "chain": "string",        "status": "string",        "confirmUserOpHash": "string",        "finalizeUserOpHash": "string",        "onChainExecuteAfter": 0,        "lastError": "string"      }    ],    "onChainRevocationRequired": true,    "liveOnChainChains": [      "string"    ],    "revocationSignedBy": "wallet_passkey"  },  "status": 200,  "success": true}